package sgc.portal.cw.cw0807.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0807.dto.CW08070001USearch;
import sgc.portal.cw.cw0807.model.CW08070001U;

import java.util.List;

@Mapper
public interface CW08070001UMapper {
	
	
    List<EasyHashMap<String, Object>> getList(CW08070001USearch search);
	
    List<EasyHashMap<String, Object>> getList2(CW08070001USearch search);

    int insert(CW08070001U cW08070001U);

    int update(CW08070001U cW08070001U);

    int delete(CW08070001U cW08070001U);

    int insert2(CW08070001U cW08070001U);

    int update2(CW08070001U cW08070001U);

    int delete2(CW08070001U cW08070001U);
    
    int selectSeq(CW08070001U cW08070001U);
}
